/*
*	message.c
*		Yet Another Osuwari Multi for X11
*		(Message Data Module)
*
*	Note:
*		Including Japanese strings.
*		Convert EUC, or suitable code for your environment.
*	:
*		ܸʸǡޤޤƤޤ
*		ţգäʤɡޥĶ˹äɤѴƤ
*/

/******** Functions Prototype *********/
void	SetMsgLang( );

/******** NadeMsg ********/

static char	*NadeMsg_E[] = {
	"\"I'm so happy !\"",
	"\"Please, more NadeNade Me !\"",
	"... nade ...",
	"... nade nade ...",
	".. nade nade nade ..",
	".. nade nade nade nade ..",
};

static char	*NadeMsg_J[] = {
	"֤줷Ǥ",
	"֤äȡʤǤʤǤƤ",
	"ʤǡ",
	"ʤǡ",
	"ʤǡ",
	"ʤǡ",
};
	
char	**NadeMsg = NadeMsg_E;

/******** FuniMsg ********/

static char	*FuniMsg_E[] = {
	"\"....Oh, what ?! ...\"",
	"\".......................\"",
	"*funi*",
	"   *funi*",
	"      *funi*",
	"         *funi*",
};

static char	PsyuMsg_E[] = {
	"Psyuuuuuuu................"
};

static char	*FuniMsg_J[] = {
	"֤β򡥡",
	"֡",
	"դˡ",
	"դˡ",
	"դˡ",
	"դˡ",
};

static char	PsyuMsg_J[] = {
	"ץ塼"
};

char	**FuniMsg = FuniMsg_E;
char	*PsyuMsg = PsyuMsg_E;

/******** QuitMsg ********/

static char QuitMsg_E[] = {
	"Say GoodBye [y/n]?"
};

static char QuitMsg_J[] = {
	"⤦̤Ǥ֣١Ρס"
};

char	*QuitMsg = QuitMsg_E;

/******** BiffMsg ********/

static char BiffMsg_E[] = {
	"Your e-mails have come!"
};

static char BiffMsg_J[] = {
	"ȤɤƤޤ"
};

char	*BiffMsg = BiffMsg_E;

/******* SetMsgLang ********
* åܸ <-> Ѹ
*/
void	SetMsgLang( isJapanese )
	int	isJapanese;
{
	if( isJapanese )
	{
		NadeMsg = NadeMsg_J;
		FuniMsg = FuniMsg_J;
		PsyuMsg = PsyuMsg_J;
		QuitMsg = QuitMsg_J;
		BiffMsg = BiffMsg_J;
	}
	else
	{
		NadeMsg = NadeMsg_E;
		FuniMsg = FuniMsg_E;
		PsyuMsg = PsyuMsg_E;
		QuitMsg = QuitMsg_E;
		BiffMsg = BiffMsg_E;
	}
}

/******** End of File ********/

